Skip to main content
`Ctrl`+`K`

# MatMPISELLGetSeqSELL

Returns the local pieces of this distributed matrix

## Synopsis

    #include "petscmat.h"
    #include "petscmat.h"
    PetscErrorCode MatMPISELLGetSeqSELL(Mat A, Mat *Ad, Mat *Ao, const PetscInt *colmap[])

Not Collective

## Input Parameter

- A - the `MATMPISELL` matrix

## Output Parameters

- Ad - The diagonal portion of `A`

- Ao - The off-diagonal portion of `A`

- colmap - An array mapping local column numbers of `Ao` to global column numbers of the parallel matrix

## See Also

`Mat`, `MATSEQSELL`, `MATMPISELL`

## Level

advanced

## Location

src/mat/impls/sell/mpi/mpisell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages